2017-04-23 14:53 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002506NetSurfRISC OS-specificpublic2017-04-23 10:20
ReporterMichael Drake 
Assigned ToDave Higton 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRISC OSOSRISC OSOS VersionAny
Product Version3.7 
Target VersionFixed in Version3.7 
Summary0002506: RISC OS: Can't move hotlist, history, cookies windows partially off screen
DescriptionTreeview windows are constrained to stay entirely on screen.
Steps To ReproduceRight click NetSurf icon bar icon.

Drag hotlist window to screen edge.
TagsNo tags attached.
Fixed in CI build #3955
Reported in CI build #3928
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Dave Higton

~0001483

Dave Higton (developer)

The "tree" window template definition, in common with all except one window, does not have the wimp_WINDOW_NO_BOUNDS flag set. It's curious that all other windows have this flag bit set in code rather than in the template, which seems wrong to me. Anyway, fixing the various tree view windows would require changes in more places than the templates AFAICS, so I propose to change the template definitions.

The tree view code needs to be replaced at some point anyway, so this can be regarded as a temporary fix.
Dave Higton

~0001484

Dave Higton (developer)

After a re-think and some more information, I submitted patches to the four template definition files, to OR in the wimp_WINDOW_NO_BOUNDS flag bit. I submitted them via an email to the ns-dev mailing list.

The treeview code was updated in late December. Previously the flag bit must have been applied in code. The templates are the correct place to specify such fundamental window behaviour.
+Notes

-Issue History
Date Modified Username Field Change
2017-01-06 10:24 Michael Drake New Issue
2017-01-09 22:21 Dave Higton Note Added: 0001483
2017-01-09 22:21 Dave Higton Assigned To => Dave Higton
2017-01-09 22:21 Dave Higton Status new => confirmed
2017-01-09 22:21 Dave Higton Steps to Reproduce Updated View Revisions
2017-01-10 11:32 Dave Higton Fixed in CI build # => 3955
2017-01-10 11:32 Dave Higton Reported in CI build # => 3928
2017-01-10 11:32 Dave Higton Note Added: 0001484
2017-01-10 11:32 Dave Higton Status confirmed => resolved
2017-01-10 11:32 Dave Higton Resolution open => fixed
2017-01-10 11:32 Dave Higton Fixed in Version => 3.7
2017-04-23 10:20 Vincent Sanders Product Version 4.0 => 3.7
2017-04-23 10:20 Vincent Sanders Steps to Reproduce Updated View Revisions
+Issue History